Skip to main content
`Ctrl`+`K`

# imageio.plugins.pyav.PyAVPlugin.properties

PyAVPlugin.properties(index: int = Ellipsis, *, format: str = 'rgb24') → ImageProperties

  Standardized ndimage metadata.

  Parameters:
    index int

      The index of the ndimage for which to return properties. If `...` (Ellipsis, default), return the properties for the resulting batch of frames.

    format str

      If not None (default: rgb24), convert the data into the given format before returning it. If None return the data in the encoded format if that can be expressed as a strided array; otherwise raise an Exception.

  Returns:
    properties ImageProperties

      A dataclass filled with standardized image metadata.

  Notes

  This function is efficient and won’t process any pixel data.

  The provided metadata does not include modifications by any filters (through `filter_sequence` or `filter_graph`).